// ==========================================================================
// 所属模块：event - broadcast
// 生成日期：2024/10/16
// 生成路径: /api/event/broadcast/function.js
// 生成人：xScript_Engine
// 数据表：system
// ==========================================================================

response.headers.add('X-Script-Version', 'broadcast-24.10.20')

function main() {
    let event = payload.get().query.event
    let data = payload.get().body?.toString()
    if (sse.broadcast(event, data)) {
        return okMsg(true)
    } else {
        return errMsg(408, false)
    }
}
